Rygel.MediaServer – librygel-server Reference Manual

# MediaServer

## Object Hierarchy:

## Description:

public class MediaServer : `MediaDevice`

This class may be used to implement in-process UPnP-AV media servers.

Call rygel_media_device_add_interface() on the RygelMediaServer to allow it to serve media via that network interface.

See the <link linkend="implementing-servers">Implementing Servers</link> section.

Namespace: Rygel
Package: librygel-server

## Content:

### Properties:

- public weak MediaContainer root_container { construct; }

### Creation methods:

- public MediaServer (`string` title, MediaContainer root_container, `PluginCapabilities` capabilities = `NONE`)
  Create a MediaServer to serve the media in the RygelMediaContainer. For instance, you might use a RygelSimpleContainer. Alternatively, you might use your own RygelMediaContainer implementation.

### Methods:

- public override void constructed ()

### Inherited Members:

All known members inherited from class Rygel.MediaDevice

- capabilities
- plugin
- title

- add_interface
- constructed

- get_interfaces
- remove_interface

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count